# reportTest

abstract fun reportTest(name: String, displayName: String): TestEventReporter

Create a child 'test' test event reporter. This can be used, for example, to emit events for each method in a tested class.

Since this is a 'test' node, it will not have any children. To add children, use reportTestGroup.

#### Return

the nested test event reporter

#### Since

8.12

#### Parameters

name

the name of the test

displayName

the display name of the test